Skip to main content
GET
/
addresses
List all addresses
curl --request GET \
  --url https://api.samsara.com/addresses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "addressTypes": [
        "yard"
      ],
      "contacts": [
        {
          "firstName": "Jane",
          "id": "22408",
          "lastName": "Jones"
        }
      ],
      "createdAtTime": "2019-05-18T20:27:35Z",
      "externalIds": {
        "maintenanceId": "250020",
        "payrollId": "ABFS18600"
      },
      "formattedAddress": "350 Rhode Island St, San Francisco, CA",
      "geofence": {
        "circle": {
          "latitude": 37.765363,
          "longitude": -122.4029238,
          "radiusMeters": 25
        },
        "polygon": {
          "vertices": [
            {
              "latitude": 37.765363,
              "longitude": -122.403098
            },
            {
              "latitude": 38.765363,
              "longitude": -122.403098
            },
            {
              "latitude": 37.765363,
              "longitude": -123.403098
            }
          ]
        }
      },
      "id": "22408",
      "latitude": 37.765363,
      "longitude": -122.4029238,
      "name": "Samsara HQ",
      "notes": "Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side.",
      "tags": [
        {
          "id": "3914",
          "name": "East Coast",
          "parentTagId": "4815"
        }
      ]
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int64>

The limit for how many objects will be in the response. Default and max for this value is 512 objects.

Required range: 1 <= x <= 512
after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

parentTagIds
string[]

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

tagIds
string[]

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

createdAfterTime
string

A filter on data to have a created at time after or equal to this specified time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

Response

List of all addresses in the organization

A list of Addresses and pagination information.

data
object[]
required

A list of Addresses.

pagination
object
required

Pagination parameters.